Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Router IP address generates SSL_ERROR_UNSUPPORTED_VERSION

  • 2 replies
  • 0 have this problem
  • 26 views
  • Last reply by nintendo101

more options

How do you disable the SSL_ERROR_UNSUPPORTED_VERSION

error? This is to access my router, not a normal web site!

https://192.168.0.1/main.htm

How do you disable the SSL_ERROR_UNSUPPORTED_VERSION error? This is to access my router, not a normal web site! https://192.168.0.1/main.htm
Attached screenshots

Chosen solution

This means that the router only supports TLS 1.1 or TLS 1.0 and not the current minimum TLS 1.2 or 1.3.

Does using the insecure http://192.168.0.1/main.htm work ?


TLS 1.0 and TLS 1.1 are deprecated and have been disabled by default in Firefox 78+ releases. You can still enable TLS 1.0/1.1 via about:config although this is not recommended and you should only flip the pref to true when you need to access this device/website and reset the pref to false once you are done with accessing this device/website.

  • about:config => security.tls.version.enable-deprecated = true

You can install a portable (ESR) Firefox version to access websites that do not work with the current Firefox release. The portable version comes with its own profile folder and doesn't interfere with currently installed Firefox versions.

Read this answer in context 👍 2

All Replies (2)

more options

Chosen Solution

This means that the router only supports TLS 1.1 or TLS 1.0 and not the current minimum TLS 1.2 or 1.3.

Does using the insecure http://192.168.0.1/main.htm work ?


TLS 1.0 and TLS 1.1 are deprecated and have been disabled by default in Firefox 78+ releases. You can still enable TLS 1.0/1.1 via about:config although this is not recommended and you should only flip the pref to true when you need to access this device/website and reset the pref to false once you are done with accessing this device/website.

  • about:config => security.tls.version.enable-deprecated = true

You can install a portable (ESR) Firefox version to access websites that do not work with the current Firefox release. The portable version comes with its own profile folder and doesn't interfere with currently installed Firefox versions.

Helpful?

more options

http://192.168.0.1/main.htm redirects to https://192.168.0.1/main.htm

but the about:config setting did make it accessible. Thanks

Helpful?

Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.